Unsubscribes a device
curl --request DELETE \
--url https://{host}/push/v1/customers/{customerId}/subscription \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/push/v1/customers/{customerId}/subscription"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/push/v1/customers/{customerId}/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Unsubscribes a device
This endpoint removes the association between a customer’s device and its active subscription.
Once unsubscribed, the device identified by installationId will no longer
receive notifications for the specified customer.
DELETE
/
v1
/
customers
/
{customerId}
/
subscription
Unsubscribes a device
Authorizations
Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The unique identifier of the customer whose device is being unsubscribed.
Query Parameters
The unique identifier of the device installation to unsubscribe.
Response
Success
Last modified on August 10, 2026
⌘I